{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/table-display.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('script/pagination.js') }}"></script>
{% endblock %}

{% block title %}Ville index{% endblock %}

{% block body %}
    <h1>Ville index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>CodePostal</th>
            </tr>
        </thead>
        <tbody>
        {% for ville in villes %}
            <tr class="table-row">
                <td>{{ ville.id }}</td>
                <td>{{ ville.nom }}</td>
                <td>{{ ville.codePostal }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <p id="info-filtre"></p>
    <div id="pagination">
    </div>

    <a class="btn_link" href="{{ path('app_ville_new') }}">Nouvelle ville</a>
{% endblock %}
